aNews = [
  ["2021年10月28日",'<a href="http://ring-lang-081.osdn.jp/docs-1.16/index.html" target="_blank"> Ring 1.16 日本語版取扱説明書</a>'],
  ["2021年10月23日",'<a href="./docs-1.16/whatisnew16.html" target="_blank"> Ring 1.16 を公開しました！</a>'],
  ["2021年10月04日",'<a href="http://ring-lang-081.osdn.jp/docs-1.15/index.html" target="_blank"> Ring 1.15 日本語版取扱説明書</a>'],
  ["2021年 9月24日",'<a href="./docs-1.15/whatisnew15.html" target="_blank"> Ring 1.15 を公開しました！</a>'],
  ["2021年08月20日",'<a href="https://www.youtube.com/watch?v=jdgzpQbcHGQ&list=PLHIfW1KZRIfl6KzfLziFl650MmThnQ0jT&index=402" target="_blank"> Hassouna Academy の Ring 教材動画が 400 本を超えました'],
  ["2021年08月15日",'<a href="https://ringmycoffee.herokuapp.com/mycoffee/index.ring" target="_blank"> MyCoffee (クラウドで展開)'],
  ["2021年07月22日",'<a href="https://github.com/ring-lang/ring/tree/master/marketing/chess3d/README.md" target="_blank"> Chess 3D (Qt3D サンプル)</a>'],
  ["2021年05月01日",'<a href="https://github.com/ring-lang/ring/blob/master/marketing/pwct/README.md" target="_blank"> PWCT 2.0 (進捗報告！)</a>'],
  ["2021年 4月17日",'<a href="http://ring-lang-081.osdn.jp/docs-1.14/index.html" target="_blank"> Ring 1.14 日本語版取扱説明書</a>'],
  ["2021年 3月17日",'<a href="https://rosettacode.org/wiki/Category:Ring" target="_blank"> RosettaCode 掲載のサンプルソースが 700 本を超えました</a>'],
  ["2021年 3月15日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/chessendgame" target="_blank"> Chess Endgame アプリケーション </a>'],
  ["2021年 1月25日",'<a href="./docs-1.14/whatisnew14.html" target="_blank"> Ring 1.14 を公開しました！</a>'],
  ["2021年 1月 5日",'<a href="https://github.com/ring-lang/ring/tree/master/extensions/ringtilengine" target="_blank"> RingTilengine 拡張機能</a>'],
  ["2020年12月28日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/erlangbformula" target="_blank"> アーランのB式</a>'],
  ["2020年12月25日",'<a href="https://github.com/ring-lang/ring/tree/master/extensions/ringlibui" target="_blank"> RingLibUI 拡張機能</a>'],
  ["2020年12月10日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/mycoffee" target="_blank"> MyCoffee (ウェブアプリケーション)'],
  ["2020年11月10日",'<a href="https://github.com/ring-lang/ring/tree/master/tools/cloc" target="_blank">  コード行数集計器 (CLOC) の用法</a>'],
  ["2020年10月25日",'<a href="https://github.com/ring-lang/ring/tree/master/samples/UsingArabic/HassounaCourse/WebDevelopment#hassouna-course-web-development-samples" target="_blank"> ウェブ開発のサンプル集 (WebLib)</a>'],
  ["2020年 9月15日",'<a href="./docs-1.14/whatisnew13.html" target="_blank"> Ring 1.13 を公開しました！</a>'],
  ["2020年 8月24日",'<a href="https://www.infoworld.com/article/3572395/ring-language-upgrade-focuses-on-webassembly.html" target="_blank"><ruby>InfoWorld<rp>(</rp><rt>インフォワールド</rt><rp>)</rp></ruby>: Ring 1.13 の紹介</a>'],
  ["2020年 8月20日",'<a href="resources.html#section2" target="_blank">オンライン版アプリケーション (WebAssembly)</a>'],
  ["2020年 7月30日",'<a href="https://www.youtube.com/watch?v=a3ZYjssAvbI&list=PLHIfW1KZRIfn1cs2BupsdJ7dzCQ7wmHFk&index=1" target="_blank"> 動画: ウェブアプリケーションの開発について </a>'],
  ["2020年 7月10日",'<a href="https://www.youtube.com/watch?v=rGmGHrBgpwI" target="_blank"> 動画: 進捗状況のご報告 </a>'],
  ["2020年 7月 9日",'<a href="web/formdesigner/project.html" target="_blank"> オンライン版フォームデザイナー (WebAssembly) </a>'],
  ["2020年 7月 8日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/eightqueens" target="_blank"> Eight Queens ゲーム</a>'],
  ["2020年 7月 2日",'<a href="https://rosettacode.org/wiki/Category:Ring" target="_blank"> RosettaCode 掲載のサンプルソースが 600 本を超えました </a>'],
  ["2020年 6月 8日",'<a href="https://www.apress.com/gp/book/9781484258323" target="_blank"> Ring 入門書のご案内 - <ruby>Apress<rp>(</rp><rt>エープレス</rt><rp>)</rp></ruby>: <ruby>Beginning<rp>(</rp><rt>ビギニング</rt><rp>)</rp></ruby> <ruby>Ring<rp>(</rp><rt>リング</rt><rp>)</rp></ruby> <ruby>Programming<rp>(</rp><rt>プログラミング</rt><rp>)</rp></ruby> (英語版)</a>'],
  ["2020年 6月 1日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/towersofhanoi" target="_blank"> ハノイの塔 (The Towers of Hanoi) </a>'],
  ["2020年 5月11日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/escape" target="_blank"> Escape ゲーム </a>'],
  ["2020年 5月10日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/wordgame" target="_blank"> Word ゲーム </a>'],
  ["2020年 5月 6日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/tetris" target="_blank"> Tetris ゲーム </a>'],
  ["2020年 5月 5日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/lottery" target="_blank"> Lottery ゲーム </a>'],
  ["2020年 4月30日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/pairs" target="_blank"> Pairs ゲーム </a>'],
  ["2020年 4月16日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/matching" target="_blank">Matching ゲーム</a>'],
  ["2020年 4月 9日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/rockpaperscissors" target="_blank">RockPaperScissors ゲーム</a>'],
  ["2020年 3月31日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/moneyboxes" target="_blank">MoneyBoxes ゲーム</a>'],
  ["2020年 3月29日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/questions" target="_blank">Questions ゲーム</a>'],
  ["2020年 3月20日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/laser" target="_blank"> Laser ゲーム</a>'],
  ["2020年 2月15日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/magicballs" target="_blank">Magic Balls ゲーム</a>'],
  ["2020年 2月12日",'<a href="https://github.com/ring-lang/ring/blob/master/samples/other/HassounaCourse/" target="_blank"> Hassouna Academy コースのサンプルソース</a>'],
  ["2020年 2月 2日",'<a href="https://github.com/SpaceVim/SpaceVim/blob/master/docs/layers/lang/ring.md" target="_blank"> Ring 言語は SpaceVim に対応しました</a>'],
  ["2020年 1月25日",'<a href="docs-1.14/whatisnew12.html" target="_blank">Ring 1.12 を公開しました！</a>'],
  ["2019年12月25日",'<a href="https://www.youtube.com/watch?v=K8Lh03PdcjI&list=PLHIfW1KZRIfl6KzfLziFl650MmThnQ0jT&index=301" target="_blank">Hassouna Academy の Ring 教材動画が 300 本を超えました'],
  ["2019年12月23日",'<a href="https://github.com/ring-lang/ring/tree/master/samples/General/NumberToWords" target="_blank">チュートリアル: 数値を単語表記へ変換 </a>'],
  ["2019年12月 5日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/go" target="_blank">囲碁ゲーム</a>'],
  ["2019年11月10日",'<a href="https://www.youtube.com/watch?v=BH5dI1H3hMA" target="_blank">動画: PWCT 2.0 の開発風景 (Ring を採用)</a>'],
  ["2019年10月 6日",'<a href="http://ring-lang-081.osdn.jp/docs-1.11/index.html" target="_blank">Ring 1.11 日本語版取扱説明書</a>'],
  ["2019年10月 5日",'<a href="http://ring-lang.sourceforge.net/RingBasics_ArabicBook.pdf" target="_blank">Ring 入門 (アラビア語の電子書籍)</a>'],
  ["2019年10月 1日",'<a href="https://www.youtube.com/watch?v=rOwOEFTVvg0" target="_blank"> 動画: 1.5 時間でわかる Ring 入門</a>'],
  ["2019年 9月15日",'<a href="./docs-1.14/whatisnew11.html" target="_blank"> Ring 1.11 を公開しました！</a>'],
  ["2019年 6月25日",'<a href="https://github.com/ring-lang/ring/tree/master/extensions/ringraylib" target="_blank"> RingRayLib 拡張機能</a>'],
  ["2019年 6月10日",'<a href="https://github.com/ring-lang/ring/blob/master/samples/other/UsingQt3D/README.md" target="_blank"> Qt3D チュートリアル </a>'],
  ["2019年 6月 3日",'<a href="https://github.com/ring-lang/ring/blob/master/applications/maze" target="_blank"> Maze ゲーム </a>'],
  ["2019年 6月 1日",'<a href="https://github.com/ring-lang/ring/blob/master/applications/sokoban" target="_blank"> Sokoban ゲーム </a>'],
  ["2019年 5月10日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/sudoku" target="_blank"> Sudoku ゲーム'],
  ["2019年 4月25日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/checkers" target="_blank"> Checkers ゲーム'],
  ["2019年 4月 1日",'<a href="https://github.com/ring-lang/ring/tree/master/extensions/tutorial" target="_blank"> チュートリアル: C/C++ による拡張機能の開発方法'],
  ["2019年 3月 1日",'<a href="https://www.youtube.com/watch?v=6VIHMyrEilw&list=PLHIfW1KZRIfl6KzfLziFl650MmThnQ0jT" target="_blank"> Hassouna Academy の Ring 教材動画が 200 本を超えました'],
  ["2019年 2月 9日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/0WYfFNBMSZk" target="_blank"> アプリケーション: Desktop Screen Shot (デスクトップ画面撮影)</a>'],
  ["2019年 1月31日",'<a href="http://ring-lang-081.osdn.jp/docs-1.10/index.html" target="_blank"> Ring 1.10 日本語版取扱説明書</a>'],
  ["2019年 1月25日",'<a href="./docs-1.14/whatisnew10.html" target="_blank"> Ring 1.10 を公開しました！</a>'],
  ["2019年 1月15日",'<a href="./docs-1.10/ringpm.html" target="_blank">Ring パッケージマネージャー (RingPM) </a>'],
  ["2018年11月11日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/chess" target="_blank">Chess ゲーム </a>'],
  ["2018年11月 6日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/gameoflife" target="_blank">GameOfLife ゲーム </a>'],
  ["2018年10月16日",'<a href="https://github.com/ring-lang/ring/tree/master/editor/vscode" target="_blank"> Visual Studio Code 用の Ring 拡張機能</a>'],
  ["2018年10月14日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/knighttour" target="_blank"> Knight Tour ゲーム</a>'],
  ["2018年10月12日",'<a href="https://github.com/ring-lang/ring/tree/master/applications/minesweeper" target="_blank"> Minesweeper ゲーム</a>'],
  ["2018年10月25日",'<a href="./docs-1.14/whatisnew9.html" target="_blank"> Ring 1.9 を公開しました！</a>'],
  ["2018年 8月22日",'<a href="https://store.steampowered.com/app/939200/Gold_Magic_800" target="_blank">ゲーム: Gold Magic 800</a>'],
  ["2018年 7月17日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/MjQGbF9fBfc" target="_blank"> Ring Notepad の新しいスタイル</a>'],
  ["2018年 7月 2日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/WS4-o0jFfOw" target="_blank"> Heroku のクラウドを使用した Ring ウェブアプリケーションの配布</a>'],
  ["2018年 6月25日",'<a href="./docs-1.14/whatisnew8.html" target="_blank"> Ring 1.8 を公開しました！</a>'],
  ["2018年 6月10日",'<a href="https://github.com/ring-lang/ring/tree/master/extensions/ringbeep" target="_blank"> RingBeep: 初めての拡張機能を作ろう </a>'],
  ["2018年 6月 4日",'<a href="https://www.youtube.com/watch?v=7BqoQldx0Pk&list=PL8SruvH85P0uA8ggijCQUR9tXAXF4bmtu&index=2" target="_blank"> 動画 : プログラミング言語 Ring のご紹介 </a>'],
  ["2018年 6月 1日",'<a href="https://github.com/ring-lang/ring/blob/master/marketing/course/Arabic/README.md" target="_blank">アラビア語での無料講義</a>'],
  ["2018年 5月11日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/amfHRmCw37E" target="_blank"> StopWatch アプリケーション </a>'],
  ["2018年 4月27日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/ItLfmBjBWrA" target="_blank"> String2Constant アプリケーション</a>'],
  ["2018年 3月23日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/iUkiEtzY6mM" target="_blank"> Manjaro Linux での Ring コンパイル</a>'],
  ["2018年 3月20日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/M5-ZBqoXss4" target="_blank"> FoxRing ライブラリ</a>'],
  ["2018年 3月 6日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/AqYS3BavKCU" target="_blank"> Find in Files アプリケーション</a>'],
  ["2018年 3月 3日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/F6YMrboda3E" target="_blank"> Cards ゲームの改良</a>'],
  ["2018年 1月25日",'<a href="./docs-1.14/whatisnew7.html" target="_blank"> Ring 1.7 を公開しました！</a>'],
  ["2017年12月21日",'<a href="https://www.codeproject.com/Articles/1222105/The-declarative-approach-of-the-Ring-programming-l" target="_blank"> 記事: プログラミング言語 Ring の宣言型手法</a>'],
  ["2017年11月30日",'<a href="./docs-1.14/whatisnew6.html" target="_blank"> Ring 1.6 を公開しました！</a>'],
  ["2017年 8月30日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/258HR7K9ehI" target="_blank"> ゲーム : TicTacToe 3D!</a>'],
  ["2017年 8月28日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/OJFruu_U6yU" target="_blank">Google API Shortener アプリケーション!</a>'],
  ["2017年 8月21日",'<a href="./docs-1.14/whatisnew5.html" target="_blank"> Ring 1.5 を公開しました！</a>'],
  ["2017年 8月10日",'<a href="https://www.codeproject.com/Articles/1200766/Using-the-Natural-Language-Programming-Library-NLP" target="_blank">記事 : 自然言語プログラミングライブラリ (NLPL) の使用方法 </a>'],
  ["2017年 7月27日",'<a href="https://groups.google.com/forum/#!topic/ring-lang/FQc8-R2h_F8" target="_blank">GitHub で Ring プロジェクトを見つけられるようになりました。</a>'],
  ["2017年 6月29日",'<a href="./docs-1.14/whatisnew4.html" target="_blank"> Ring 1.4 を公開しました！</a>'],
  ["2017年 5月25日",'<a href="./docs-1.14/whatisnew3.html" target="_blank"> Ring 1.3 を公開しました！</a>'],
  ["2017年 2月 9日",'<a href="https://github.com/ring-lang/ring/tree/master/tools/editors/emacs" target="_blank">Emacs エディタ用 Ring モード</a>'],
  ["2017年 1月25日",'<a href="./docs-1.14/whatisnew2.html" target="_blank"> Ring 1.2 を公開しました！</a>'],
  ["2016年10月13日",'<a href="http://www.codeproject.com/Articles/1138605/Natural-Language-Programming-in-the-Ring-Programmi" target="_blank">記事 : 自然言語プログラミング</a>'],
  ["2016年10月 9日",'<a href="http://www.codeproject.com/Articles/1137388/Syntax-Flexibility-in-the-Ring-Programming-Languag" target="_blank">記事 : シンタックスの柔軟性</a>'],
  ["2016年10月06日",'<a href="./docs-1.14/whatisnew.html" target="_blank"> Ring 1.1 を公開しました！</a>'],
  ["2016年10月 4日",'<a href="https://github.com/MajdiSobain/ring_wincreg" target="_blank">Ring_WinCReg 拡張機能</a>'],
  ["2016年10月 4日",'<a href="https://github.com/ring-lang/werdy" target="_blank">Werdy アプリケーション</a>'],
  ["2016年 6月 6日",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_Ring_1.0_MobileAppDevelopment_Qt_Project.zip/download" target="_blank">Ring 1.0 用の Qt を使用したモバイルアプリケーション開発 </a>'],
  ["2016年 5月26日",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_Ring_1.0_MacOSX_64bit_binary_release.zip/download" target="_blank">Ring 1.0 macOS 版を公開しました！</a>'],
  ["2016年 5月11日",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_SuperMan2016_1.0_win32.zip/download" target="_blank">Super Man 2016 ゲーム</a>'],
  ["2016年 5月 7日",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_FlappyBird3000_1.0_win32.zip/download" target="_blank">Flappy Bird 3000 ゲーム</a>'],
  ["2016年 5月 3日",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_StarsFighter_1.0_win32.zip/download" target="_blank">Stars Fighter ゲーム</a>'],
  ["2016年 5月 2日",'<a href="http://www.codeproject.com/Articles/1096942/Squares-Puzzle-using-RingAllegro" target="_blank">記事: RingAllegro による Squares Puzzle (CodeProject)</a>'],
  ["2016年 4月 3日",'<a href="http://www.codeproject.com/Articles/1089887/The-Ring-Programming-Language" target="_blank">Ring の記事 (CodeProject)</a>'],
  ["2016年 3月31日",'<a href="http://github.com/ring-lang/ring" target="_blank">Ring ソースコード (GitHub)</a>'],
  ["2016年 3月28日",'<a href="https://groups.google.com/forum/#!searchin/ring-lang/atom%7Csort:date/ring-lang/ap8W8v6HWhM/fvZfXnYRAgAJ" target="_blank">Atom エディタ用の Ring 拡張機能</a>'],
  ["2016年 3月21日",'<a href="https://en.wikibooks.org/wiki/Ring" target="_blank">Wikibooks での Ring 関連記事</a>'],
  ["2016年 3月16日",'<a href="https://www.youtube.com/watch?v=QABSHg4zY6M" target="_blank">動画 : プログラミング言語 Ring のご紹介</a>'],
  ["2016年 3月12日",'<a href="https://github.com/ring-lang/ring/tree/master/tools/editors/geany" target="_blank">Geany エディタ用の Ring 拡張機能</a>'],
  ["2016年 3月 5日",'<a href="https://tio.run/#ring">Ring をオンラインで体験 (対話型 Ring 端末)</a>'],
  ["2016年 3月 4日",'<a href="https://groups.google.com/forum/#!searchin/ring-lang/sublime%7Csort:date/ring-lang/zglVNEaUshQ/GLXvBc-_BAAJ" target="_blank">Sublime Text 2 用の Ring 構文色分け・強調機能</a>'],
  ["2016年 2月28日",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_Ring_1.0_Ubuntu_32bit_binary_release.zip/download" target="_blank">Ring 1.0 (Ubuntu Linux 版) を公開しました！</a>'],
  ["2016年 2月17日",'<a href="https://github.com/ahmadomar/RingForVS" target="_blank">Visual Studio 用の Ring 拡張機能</a>'],
  ["2016年 1月30日",'Ring ウェブサイトにサンプルとブログの一覧を掲載した「<a href="resources.html">リソース</a>」ページを追加'],
  ["2016年 1月27日",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_WebLib_1.0_source_code_release.zip/download" target="_blank">WebLib 1.0 を公開しました！</a>'],
  ["2016年 1月25日",'<a href="./docs-1.10/languagedesign.html" target="_blank"> Ring 1.0 を公開しました！</a>'],
  ["2016年 1月23日",'Ring チーム！さらに <a href="https://groups.google.com/forum/#!forum/ring-lang" target="_blank">Ring グループ</a> '],
  ["2016年 1月21日",'ウェブサイトを開設しました！']
]
